RoutesBooks module
Books routes
URLs the Books module answers, their parameters and the variables each view receives.
Admin view
/cdna-admin/books/add-book
addBook
Add a new record. Assigns an empty record to the template.
| Variable | Type | Description |
|---|---|---|
$book |
Book |
Single (empty) Book record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/books/book/{id}/{revision.id}
editBook
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+revision.id matches \d+
| Variable | Type | Description |
|---|---|---|
$book |
Book |
Retrieved Book record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/books/books
manageBooks
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$books |
Collection<Book> |
Collection of Books |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/books/add-unit/{book.id}
addUnit
Add a new record. Assigns an empty record to the template.
Path parameters
book.id matches \d+
| Variable | Type | Description |
|---|---|---|
$unit |
Unit |
Single (empty) Unit record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/books/unit/{id}/{revision.id}
editUnit
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+revision.id matches \d+
| Variable | Type | Description |
|---|---|---|
$unit |
Unit |
Retrieved Unit record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/books/books
manageUnits
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$books |
Collection<Book> |
Collection of Books |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/books/add-page/{unit.id}
addPage
Add a new record. Assigns an empty record to the template.
Path parameters
unit.id matches \d+
| Variable | Type | Description |
|---|---|---|
$page |
Page |
Single (empty) Page record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/books/page/{id}/{revision.id}
editPage
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+revision.id matches \d+
| Variable | Type | Description |
|---|---|---|
$page |
Page |
Retrieved Page record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/books/books
managePages
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$books |
Collection<Book> |
Collection of Books |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.